import { Controller } from "@hotwired/stimulus"

export default class extends Controller {
  static targets = ["form", "link"];

  submitWithPrompt(event) {
    event.preventDefault();

    const reason = prompt("Why are you especially qualified? (Please keep it short, thanks)");
    if (reason !== null && reason.trim() !== "") {
      const input = document.createElement("input");
      input.type = "hidden";
      input.name = "note";
      input.value = reason;
      this.formTarget.appendChild(input);
      this.formTarget.requestSubmit();
    }
  }
}
